bool smaller(int x)
int guess(int MAX){
    int l=1,r=MAX;
    while(l!=r){
        int m=(l+r+1)/2;
        if(smaller(m)){
            r=m-1;
        }
        else{
            l=m;
        }
    }
    return l;
}